| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | List of all members
Tp::Service::ProtocolInterfacePresenceAdaptor Class Reference
Connection manager service implementation

`#include <TelepathyQt/_gen/svc-connection-manager.h>`

Inherits Tp::AbstractAdaptor.

## Public Member Functions

Tp::SimpleStatusSpecMap | Statuses () const
Public Member Functions inherited from Tp::AbstractAdaptor
| AbstractAdaptor (const QDBusConnection &connection, QObject *adaptee, QObject *parent)
| ~AbstractAdaptor ()
QDBusConnection | dbusConnection () const
QObject * | adaptee () const

## Detailed Description

Adaptor class providing a 1:1 mapping of the D-Bus interface "org.freedesktop.Telepathy.Protocol.Interface.Presence".

## Member Function Documentation

Tp::SimpleStatusSpecMap Tp::Service::ProtocolInterfacePresenceAdaptor::Statuses | ( |  | ) | const

Return the value of the exported D-Bus object property `Statuses` of type `Tp::SimpleStatusSpecMap`.

Adaptees should export this property as a Qt property named 'statuses' with type Tp::SimpleStatusSpecMap.

The statuses that might appear in the Connection.Interface.SimplePresence.Statuses property on a connection to this protocol that supports SimplePresence. This property is immutable. Depending on server capabilities, it is possible that not all of these will actually appear on the Connection.

Returns
  The value of exported property `Statuses`.